/*
 * @DEC_COPYRIGHT@
 */
/*
 * HISTORY
 * $Log:	mbstr.h,v $
 * Revision 4.2  91/09/20  05:17:43  devbld
 * Adding ODE Headers
 * 
 * $EndLog$
 */
/*	
 *	@(#)$RCSfile: mbstr.h,v $ $Revision: 4.2 $ (DEC) $Date: 91/09/20 05:17:43 $
 */ 
/*
 */
/*
 * (c) Copyright 1990, OPEN SOFTWARE FOUNDATION, INC.
 * ALL RIGHTS RESERVED
 */
/*
 * OSF/1 Release 1.0
 */
/*
 * IBM CONFIDENTIAL
 * Copyright International Business Machines Corp. 1989
 * Unpublished Work
 * All Rights Reserved
 * Licensed Material - Property of IBM
 */
/*
 * RESTRICTED RIGHTS LEGEND
 * Use, Duplication or Disclosure by the Government is subject to
 * restrictions as set forth in paragraph (b)(3)(B) of the rights in
 * Technical Data and Computer Software clause in DAR 7-104.9(a).
 */ 

/*
 * NAME: mbstr.h
 */                                                                   

#ifndef _MBSTR_H_
#define _MBSTR_H_

#include <sys/types.h>

#define MBMAXLEN	2

#ifdef   _NO_PROTO
extern size_t mbslen();
extern char *mbscat();
extern char *mbsncat();
extern int mbscmp();
extern int mbsncmp();
extern char *mbscpy();
extern char *mbsncpy();
extern char *mbschr();
extern char *mbsrchr();
extern char *mbspbrk();
extern int mbstoint();
#else  /*_NO_PROTO */
extern size_t mbslen(const char *);
extern char *mbscat(char *, char *);
extern char *mbsncat(char *, const char *, size_t);
extern int mbscmp(char *, char *);
extern int mbsncmp(char *, char *, size_t);
extern char *mbscpy(char *, char *);
extern char *mbsncpy(char *, char *, size_t);
extern char *mbschr(const char *, const int);
extern char *mbsrchr(char *, int);
extern char *mbspbrk(char *, char *);
extern int mbstoint(char *);
#endif /*_NO_PROTO */

#endif  /* _MBSTR_H_ */
